diff --git a/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito110Tests.java b/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito110Tests.java
index 9ec460784f5..89534f201ec 100644
--- a/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito110Tests.java
+++ b/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito110Tests.java
@@ -16,6 +16,7 @@
 
 package org.springframework.boot.test.mock.mockito;
 
+import org.junit.Ignore;
 import org.junit.Test;
 import org.junit.runner.JUnitCore;
 import org.junit.runner.Result;
@@ -35,6 +36,7 @@
  */
 @RunWith(ModifiedClassPathRunner.class)
 @ClassPathOverrides("org.mockito:mockito-core:1.10.19")
+@Ignore("Mockito 2.5+ is required with Java 9")
 public class Mockito110Tests {
 
 	@Test
diff --git a/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito21Tests.java b/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito21Tests.java
index e92529b3231..2a5b94b3828 100644
--- a/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito21Tests.java
+++ b/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito21Tests.java
@@ -16,6 +16,7 @@
 
 package org.springframework.boot.test.mock.mockito;
 
+import org.junit.Ignore;
 import org.junit.Test;
 import org.junit.runner.JUnitCore;
 import org.junit.runner.Result;
@@ -34,6 +35,7 @@
  */
 @RunWith(ModifiedClassPathRunner.class)
 @ClassPathOverrides("org.mockito:mockito-core:2.1.0")
+@Ignore("Mockito 2.5+ is required with Java 9")
 public class Mockito21Tests {
 
 	@Test
diff --git a/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito22Tests.java b/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito22Tests.java
index 71b6b4d3bd8..1f552e7680c 100644
--- a/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito22Tests.java
+++ b/spring-boot-test/src/test/java/org/springframework/boot/test/mock/mockito/Mockito22Tests.java
@@ -16,6 +16,7 @@
 
 package org.springframework.boot.test.mock.mockito;
 
+import org.junit.Ignore;
 import org.junit.Test;
 import org.junit.runner.JUnitCore;
 import org.junit.runner.Result;
@@ -34,6 +35,7 @@
  */
 @RunWith(ModifiedClassPathRunner.class)
 @ClassPathOverrides("org.mockito:mockito-core:2.2.0")
+@Ignore("Mockito 2.5+ is required with Java 9")
 public class Mockito22Tests {
 
 	@Test
